Subject: Re: New widget "transpose-segments"
From: Sebastian Gniazdowski <[email-masked]>
To: Jérémie Roquet <[email-masked]>
Cc: Zsh hackers list <[email-masked]>
Date: Sat, 9 Jan 2016 16:56:28 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On 9 January 2016 at 13:19, Jérémie Roquet <[email-masked]> wrote:
> Hi,
>
> 2016-01-09 12:03 GMT+01:00 Sebastian Gniazdowski <[email-masked]>:
>> I've attached a new widget "transpose-segments". Works like
>> "transpose-words", but the "words" are what I call "segments" – parts
>> of a command obtained by (z) flag. This allows to comfortably swap
>> arbitrarily quoted things at prompt,
>>
>> http://asciinema.org/a/5tkda9lr7dju4lh3vt5sj35wi
>
> This looks awesome. I'll probably use it much, much more often than
> transpose-words. Thanks!

No problem! I'm happy you like it. I've created a new version that
supports new lines:

https://asciinema.org/a/1rg6zqgzsduenjnuuc1dvhz50

Best regards,
Sebastian Gniazdowski